Join a webinar on April 30th: Unlocking Your Data using AI with Box Extract & MCP Server. Register here
curl -i -X GET "https://api.box.com/2.0/webhooks/3321123" \
-H "authorization: Bearer <ACCESS_TOKEN>"{
"id": "11446498",
"type": "webhook",
"target": {
"id": "1231232",
"type": "file"
},
"created_by": {
"id": "11446498",
"type": "user",
"name": "Aaron Levie",
"login": "ceo@example.com"
},
"created_at": "2012-12-12T10:53:43-08:00",
"address": "https://example.com/webhooks",
"triggers": [
"FILE.UPLOADED"
]
}Retrieves a specific webhook.
curl -i -X GET "https://api.box.com/2.0/webhooks/3321123" \
-H "authorization: Bearer <ACCESS_TOKEN>"{
"id": "11446498",
"type": "webhook",
"target": {
"id": "1231232",
"type": "file"
},
"created_by": {
"id": "11446498",
"type": "user",
"name": "Aaron Levie",
"login": "ceo@example.com"
},
"created_at": "2012-12-12T10:53:43-08:00",
"address": "https://example.com/webhooks",
"triggers": [
"FILE.UPLOADED"
]
}Documentation Index
Fetch the complete documentation index at: https://developer.box.com/llms.txt
Use this file to discover all available pages before exploring further.
The access token received from the authorization server in the OAuth 2.0 flow.
The ID of the webhook.
Returns a webhook object.
Represents a configured webhook.
The unique identifier for this webhook.
"11446498"
The value will always be webhook.
webhook "webhook"
The item that will trigger the webhook.
Show child attributes
The user who created the webhook.
Show child attributes
A timestamp identifying the time that the webhook was created.
"2012-12-12T10:53:43-08:00"
The URL that is notified by this webhook.
"https://example.com/webhooks"
An array of event names that this webhook is to be triggered for.
The event name that triggered this webhook.
FILE.UPLOADED, FILE.PREVIEWED, FILE.DOWNLOADED, FILE.TRASHED, FILE.DELETED, FILE.RESTORED, FILE.COPIED, FILE.MOVED, FILE.LOCKED, FILE.UNLOCKED, FILE.RENAMED, COMMENT.CREATED, COMMENT.UPDATED, COMMENT.DELETED, TASK_ASSIGNMENT.CREATED, TASK_ASSIGNMENT.UPDATED, METADATA_INSTANCE.CREATED, METADATA_INSTANCE.UPDATED, METADATA_INSTANCE.DELETED, FOLDER.CREATED, FOLDER.RENAMED, FOLDER.DOWNLOADED, FOLDER.RESTORED, FOLDER.DELETED, FOLDER.COPIED, FOLDER.MOVED, FOLDER.TRASHED, WEBHOOK.DELETED, COLLABORATION.CREATED, COLLABORATION.ACCEPTED, COLLABORATION.REJECTED, COLLABORATION.REMOVED, COLLABORATION.UPDATED, SHARED_LINK.DELETED, SHARED_LINK.CREATED, SHARED_LINK.UPDATED, SIGN_REQUEST.COMPLETED, SIGN_REQUEST.DECLINED, SIGN_REQUEST.EXPIRED, SIGN_REQUEST.SIGNER_EMAIL_BOUNCED, SIGN_REQUEST.SIGN_SIGNER_SIGNED, SIGN_REQUEST.SIGN_DOCUMENT_CREATED, SIGN_REQUEST.SIGN_ERROR_FINALIZING ["FILE.UPLOADED"]Was this page helpful?